Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.ibus
Interface RemoteInformationBus

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteInformationBus

extends java.rmi.Remote

Method Summary
`RemoteInformationContainer` | `getGlobalInformationContainer()`
`RemoteInformationContainer` | `getOrganizationInformationContainer()`
`RemoteInformationContainer` | `getOrganizationInformationContainer(java.lang.String orgName)`
`RemoteInformationContainer` | `getUserInformationContainer()`
`RemoteInformationContainer` | `getUserInformationContainer(java.lang.String userName)`

Method Detail

### getGlobalInformationContainer

    RemoteInformationContainer getGlobalInformationContainer()
                                                             throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getOrganizationInformationContainer

    RemoteInformationContainer getOrganizationInformationContainer()
                                                                   throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getOrganizationInformationContainer

    RemoteInformationContainer getOrganizationInformationContainer(java.lang.String orgName)
                                                                   throws java.lang.UnsupportedOperationException,
                                                                          java.rmi.RemoteException

  Throws:
    `java.lang.UnsupportedOperationException`
    `java.rmi.RemoteException`

### getUserInformationContainer

    RemoteInformationContainer getUserInformationContainer()
                                                           throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getUserInformationContainer

    RemoteInformationContainer getUserInformationContainer(java.lang.String userName)
                                                           throws java.lang.UnsupportedOperationException,
                                                                  java.rmi.RemoteException

  Throws:
    `java.lang.UnsupportedOperationException`
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD